//---------------------------------------------------------------------------

#ifndef IFM0070MFH
#define IFM0070MFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include <Buttons.hpp>
#include <ImgList.hpp>
#include <Graphics.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <Provider.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ADODB.hpp>
#include <Dialogs.hpp>
#include "cxButtons.hpp"
#include "cxCalendar.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "cxSpinEdit.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include "cxTimeEdit.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinMcSkin.hpp"
//---------------------------------------------------------------------------

class TIFM0070M : public TForm
{
__published:	// IDE-managed Components
	TTimer *TmrRefresh;
	TShape *ShpList;
    TcxPageControl *PgList;
    TcxTabSheet *TsList;
    TShape *ShpTitle;
    TcxButton *BtnClose;
    TLabel *LblCaption;
    TPanel *Panel2;
    TcxButton *BtnSearch;
    TImage *ImgDesc1;
    TcxGrid *CxList;
    TcxGridTableView *TvList;
    TcxGridColumn *Column01;
    TcxGridColumn *Column02;
    TcxGridColumn *Column03;
    TcxGridLevel *GlList;
    TcxLabel *cxLabel1;
    TcxButton *BtnExlSave;
    TADOQuery *ADOQry;
    TLabel *LblRecords;
    TcxComboBox *CbType;
    TLabel *lblFacility;
    TcxGridColumn *Column04;
    TcxGridColumn *Column05;
    TcxGridColumn *Column06;
    TcxGridColumn *Column07;
    TcxGridColumn *Column08;
    TcxGridColumn *Column09;
    TcxGridColumn *Column10;
    TcxGridColumn *Column11;
    TcxGridColumn *Column12;
    TcxGridColumn *Column13;
    TcxGridColumn *Column14;
    TcxGridColumn *Column15;
    TcxGridColumn *Column16;
    TcxGridColumn *Column17;
    TcxGridColumn *Column18;
    TcxGridColumn *Column19;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall TmrRefreshTimer(TObject *Sender);
	void __fastcall BtnSearchClick(TObject *Sender);
    void __fastcall BtnExlSaveClick(TObject *Sender);
    void __fastcall BtnCloseClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall TvListDataControllerFilterChanged(TObject *Sender);
private:	// User declarations
	void __fastcall CommClose();
    String          FTitle;
    TcxDataController  *m_pGDC;
    String              FStDateTime;
    String              FEdDateTime;

public:		// User declarations
	__fastcall TIFM0070M(TComponent* Owner);

    void __fastcall OnMessage(TMessage &Msg);

    void __fastcall FormInit();

	void __fastcall RefreshData();

    void __fastcall SelCctv();
    void __fastcall SelVms();
    void __fastcall SelVds();
    void __fastcall SelWCam();
    void __fastcall SelDsrc();
    void __fastcall SelCrs();
    void __fastcall SelCrsCam();
    void __fastcall SelLprsCam();
};
//---------------------------------------------------------------------------
extern PACKAGE TIFM0070M *IFM0070M;
//---------------------------------------------------------------------------
#endif
